using System.Drawing;
using System.Windows.Forms;
using Elfisa.UI.Theming;

namespace Elfisa.UI.Controls
{
    public class ModernComboBox : ComboBox
    {
        public ModernComboBox()
        {
            FlatStyle = FlatStyle.Flat;
            Font = new Font("Segoe UI", 13f);
            DropDownStyle = ComboBoxStyle.DropDownList;
        }

        public void ApplyTheme(ThemeColors theme)
        {
            BackColor = theme.InputBackground;
            ForeColor = theme.TextPrimary;
            Font = theme.FontRegular13;
        }
    }
}
